Class
External Property Map
An external property map.
String<TValue, TSpec>
Include Headers
seqan/graph_types.h
Parameters

TValue | The value type. That is the type of information stored in the property map. Metafunctions: Value
TSpec | The specializing type. Metafunctions: Spec Default: Alloc<>, see Alloc String.

Remarks
The external property map is assumed to be an instance of String. It is indexed via VertexDescriptors or EdgeDescriptors.
Functions

assignProperty | Assigns a property to an item in the property map.
createSuffixTrie | Creates a trie of all suffixes of a text.
createTrie | Creates a trie.
getProperty | Get method for an item's property.
property | Accesses the property of an item in the property map.
resizeEdgeMap | Initializes an edge map
resizeVertexMap | Initializes a vertex map.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45